Bug 24983 - Emacs ports have misleading names
Summary: Emacs ports have misleading names
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: MANTANI Nobutaka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-02-10 03:40 UTC by Greg Lehey
Modified: 2004-03-21 07:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Lehey 2001-02-10 03:40:01 UTC
	There are currently two ports for Emacs: editors/emacs, which
	installs the obsolete version 19.34, and editors/emacs20,
	which installs the current version 20.7.  Naive users are
	liable to install 19.34 by accident, because it seems to be
	the canonical port.

Fix: 

Should be as simple as renaming the directories:

	cd /usr/ports/editors
	mv emacs emacs19
	mv emacs20 emacs

	This is obviously a candidate for a repocopy.
How-To-Repeat: 
	Please don't repeat.
Comment 1 m_ilya 2001-02-10 09:49:00 UTC
    g> [..skip..]

    g>  > Description:

    g> 	There are currently two ports for Emacs: editors/emacs, which
    g> 	installs the obsolete version 19.34, and editors/emacs20,
    g> 	which installs the current version 20.7.  Naive users are
    g> 	liable to install 19.34 by accident, because it seems to be
    g> 	the canonical port.

I wonder - is there any reason why we need emacs19 at all? Is there
anybody how use emacs19 instead emacs20 or xemacs?

    g> [..skip..]

-- 
Ilya Martynov
AGAVA Software Company, http://www.agava.com
Comment 2 uwe 2001-02-10 16:41:13 UTC
> There are currently two ports for Emacs: editors/emacs, which
> installs the obsolete version 19.34, and editors/emacs20,
> which installs the current version 20.7.

And bear in mind that GNU Emacs 21 will be released Real Soon Now (I
use beta and it's very stable).  So editors/emacs should probably be
reserved for 21, emacs20 leaved as it is and what is currently
editors/emacs - renamed to emacs19.

-uwe
Comment 3 Steve Price freebsd_committer 2001-02-26 02:29:55 UTC
Responsible Changed
From-To: freebsd-ports->asami

I agree that it is misleading at best to have emacs instead of emacs19.  I 
don't however think we should move emacs20 to emacs.  See the tcl, tk, qt, ... 
ports for other examples where we use the version in the port name when we 
have multiple version of a program in the Ports Tree.  If Asami-san will do 
the repo-copy, then I'll fix things up afterwards.
Comment 4 Anders Nordby freebsd_committer 2002-04-20 01:32:35 UTC
Responsible Changed
From-To: asami->portmgr

Asami-san seems to have no interest in this PR. Leave it to portmgr to 
decide what to do.
Comment 5 Kris Kennaway freebsd_committer 2002-08-30 22:24:49 UTC
State Changed
From-To: open->analyzed

Forwarded to emacs20/emacs21 maintainers for comment.
Comment 6 Kris Kennaway freebsd_committer 2003-02-23 23:38:19 UTC
State Changed
From-To: analyzed->open

Reassign to an emacs maintainer in the hope of getting some 
action on this PR. 


Comment 7 Kris Kennaway freebsd_committer 2003-02-23 23:38:19 UTC
Responsible Changed
From-To: portmgr->nobutaka

Reassign to an emacs maintainer in the hope of getting some 
action on this PR.
Comment 8 Kris Kennaway freebsd_committer 2004-03-21 07:40:50 UTC
State Changed
From-To: open->closed

Finally updated, thanks.